Resource (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest

## Class Resource

- java.lang.Object
- - com.ibm.streamsx.rest.Element
  - - com.ibm.streamsx.rest.Resource

-     public class Resource
      extends Element

  Domain resource information. A resource that is available for running Streams services and applications.
  Since:
    1.9

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayName()` Get the display name for this resource.
    `java.lang.String` | `getId()` Get the unique Streams identifier for this resource.
    `java.lang.String` | `getIpAddress()` Get the IP address for this resource.
    `java.util.List<Metric>` | `getMetrics()` Gets the `metrics` for this resource.
    `java.lang.String` | `getResourceType()` Identifies the REST resource type
    `java.lang.String` | `getStatus()` Status of the resource.

    - ### Methods inherited from class com.ibm.streamsx.rest.Element

      `getStreamsConnection, refresh, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Resource

          public Resource()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Get the unique Streams identifier for this resource. The identifier is unique within a domain.
      Returns:
        Streams identifier for this resource.

    - #### getIpAddress

          public java.lang.String getIpAddress()

      Get the IP address for this resource.
      Returns:
        IP address for this resource.

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Get the display name for this resource.
      Returns:
        Display name for this resource.

    - #### getStatus

          public java.lang.String getStatus()

      Status of the resource. Some possible values for this property include `failed`, `partiallyFailed`, `partiallyRunning`, `quiesced`, `quiescing`, `running`, `restarting`, `resuming`, `starting`, `stopped`, and `unknown`.
      Returns:
        Status of the resource.

    - #### getMetrics

          public java.util.List<Metric> getMetrics()
                                            throws java.io.IOException

      Gets the `metrics` for this resource.
      Returns:
        List of `IBM Streams Metrics`
      Throws:
        `java.io.IOException`

    - #### getResourceType

          public java.lang.String getResourceType()

      Identifies the REST resource type
      Returns:
        "resource"